%errorA = ForceRequiredAddOn("Weapon_Gun");
%errorB = ForceRequiredAddOn("Vehicle_Tank");
if(%errorA == $Error::AddOn_Disabled)
	error("ERROR: Weapon_Bongo Fury - required add-on Weapon_Gun not found");
else if(%errorB == $Error::AddOn_Disabled)
	error("ERROR: Weapon_Bongo Fury - required add-on Vehicle_Tank not found");
else
{
    exec("./Weapon_Bongo Fury.cs");
}

datablock ExplosionData(BongoFuryRecoilExplosion)
{
    explosionShape = "";
    lifeTimeMS = 150;
    faceViewer = true;
    explosionScale = "1 1 1";
    shakeCamera = true;
    camShakeFreq = "3 3 3";
    camShakeAmp = "0.3 0.5 0.4";
    camShakeDuration = 0.45;
    camShakeRadius = 10.0;
};

datablock ProjectileData(BongoFuryRecoilProjectile)
{
    lifetime = 10;
    fadeDelay = 10;
    explodeondeath = true;
    explosion = BongoFuryRecoilExplosion;
};